Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.elementparsers
Class UiTextInterpreter.Delegate

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.UiTextInterpreter.Delegate

All Implemented Interfaces:
  ComputedAttributeInterpreter.Delegate

Enclosing class:
  UiTextInterpreter

    protected class UiTextInterpreter.Delegate

extends java.lang.Object
implements ComputedAttributeInterpreter.Delegate

Used in `ComputedAttributeInterpreter.interpretElement(com.google.gwt.uibinder.rebind.XMLElement)` to invoke the `ComputedAttributeInterpreter`.

Constructor Summary
`protected` | `UiTextInterpreter.Delegate()`

Method Summary
`java.lang.String` | `getAttributeToken(com.google.gwt.uibinder.rebind.XMLAttribute attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UiTextInterpreter.Delegate

    protected UiTextInterpreter.Delegate()

Method Detail

### getAttributeToken

    public java.lang.String getAttributeToken(com.google.gwt.uibinder.rebind.XMLAttribute attribute)
                                       throws UnableToCompleteException

  Specified by:
    `getAttributeToken` in interface `ComputedAttributeInterpreter.Delegate`
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD